'use strict';

const tableConfig = require('./table-config-444a77e4.js');
const viewConfig = require('./view-config-ec5f62df.js');

class DetailViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(DetailViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    return model;
  }
}

exports.DetailViewConfig = DetailViewConfig;
